Vulnerability   
Search   
    Search 187964 CVE descriptions
and 85075 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.144347
Category:Web application abuses
Title:D-Link DAP-1520 < 1.10b04Beta02 RCE Vulnerability
Summary:D-Link DAP-1520 is prone to a remote code execution vulnerability.
Description:Summary:
D-Link DAP-1520 is prone to a remote code execution vulnerability.

Vulnerability Insight:
D-Link DAP-1520 is prone to a buffer overflow vulnerability. Whenever a user
performs a login action from the web interface, the request values are being forwarded to the ssi binary. On the
login page, the web interface restricts the password input field to a fixed length of 15 characters. The problem
is that validation is being done on the client side, hence it can be bypassed. When an attacker manages to
intercept the login request (POST based) and tampers with the vulnerable parameter (log_pass), to a larger
length, the request will be forwarded to the webserver. This results in a stack-based buffer overflow. A few
other POST variables, (transferred as part of the login request) are also vulnerable: html_response_page and
log_user.

Affected Software/OS:
D-Link DAP-1520 version 1.10B04 and prior.

Solution:
Update to version 1.10b04Beta02 or later.

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-15892
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 85075 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.